<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="absensi" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="16"/>
	<queryString>
		<![CDATA[select t1.name
,t2.name as instansi
,t1.no_hp
from tbl_peserta t1
left join tbl_instansi t2 on t1.instansi=t2.id
order by t1.name]]>
	</queryString>
	<field name="name" class="java.lang.String"/>
	<field name="instansi" class="java.lang.String"/>
	<field name="no_hp" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="50" splitType="Stretch">
			<staticText>
				<reportElement x="19" y="12" width="521" height="23"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="false"/>
				</textElement>
				<text><![CDATA[Daftar Semua Peserta Diklat]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="35" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="61" splitType="Stretch">
			<line>
				<reportElement x="0" y="0" width="555" height="1"/>
			</line>
			<line>
				<reportElement x="0" y="47" width="555" height="1"/>
			</line>
			<line>
				<reportElement x="555" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="61"/>
			</line>
			<staticText>
				<reportElement x="19" y="11" width="135" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[name]]></text>
			</staticText>
			<staticText>
				<reportElement x="199" y="11" width="198" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[instansi]]></text>
			</staticText>
			<line>
				<reportElement x="413" y="2" width="1" height="59"/>
			</line>
			<line>
				<reportElement x="179" y="2" width="1" height="59"/>
			</line>
			<staticText>
				<reportElement x="433" y="11" width="107" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[no_hp]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="61" splitType="Stretch">
			<line>
				<reportElement x="555" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="60"/>
			</line>
			<textField>
				<reportElement x="19" y="6" width="135" height="42"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="199" y="6" width="198" height="42"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{instansi}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="1" y="60" width="554" height="1"/>
			</line>
			<line>
				<reportElement x="413" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="179" y="0" width="1" height="60"/>
			</line>
			<textField>
				<reportElement x="419" y="6" width="122" height="42"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{no_hp}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="45" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
